%define name soundtracker
%define version 0.3.5
%define release 1mdk
%define prefix /usr

Summary: Sound modules editor/player
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Sound
Copyright: GPL
Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.3/soundtracker-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format.  The user interface makes use of GTK+, and, optionally, GNOME.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
LINGUAS="de es it pl ja" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%files
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%{prefix}/bin/soundtracker
%{prefix}/share/gnome/apps/Multimedia/soundtracker.desktop
%{prefix}/share/locale/*/*/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
